Subject: Re:Re: [60521] Add home-dotfiles-service-type - Rebased on master

From: Giacomo <[email-masked]>
Date: Mon, 22 Jan 2024 09:12:00 +0100

Hello,

This is what I tried in my configuration. It should work:

(define mydpi "192")

(home-environment
 [...]
 (services
  (list
        [...]
        (service home-files-service-type
                 `((".Xresources" ,(mixed-text-file "Xresources" "xft.dpi:" mydpi))))
        (service home-dotfiles-service-type
                 (home-dotfiles-configuration
                  (directories
                   (list "/home/myself/guix-conf/.dotfiles")))))))

Hope this helps,

giacomo

Il 22 gennaio 2024 01:16:03 CET, tumashu <[email-masked]> ha scritto:
>      It is possible to use it together with home-dotfiles-  service-type.
>
>
>can you give a simple example？ thanks
>
>
>
>
>
>
>--
>发自我的网易邮箱手机智能版
>
>
>
>在 2024-01-22 01:06:19，paul <[email-masked]> 写道：
>
>
>Hello Feng Shu,
>
>Apologies for the delay. I fixed the bug you pointed out for symlinks and spaces in file names. Thank you for catching them!
>
>About templating I would suggest you to use mixed-text-file or computed file from (guix gexp) and pass them directly to them home-files-service-type. It is possible to use it together with home-dotfiles-service-type.
>
>
>
>
>
>
>
>
>giacomo